function [maska0,maska15,maska30,maska45,maska60,maska75,maska90,maska105,maska120,maska135,maska150,maska165] = cevy()

sigma=30/3; %pro nejtlustější cévy 10!!
vektor=60/3; %velikost vektoru, která je volitelná -> podle toho velikost masky 
x=[-vektor:1:vektor]; %Definování počtu vzorků použitých při výpočtu
y=exp(-(x.*x)/(2*sigma*sigma)); %Gauss. křivka - x volitelné. 
y=max(y)-y; %převrácení paraboly
y=y-mean(y); %Zarovnání křivky na střední hodnotu
velikost_y = length(y);
y0=repmat(y,velikost_y,1); %roztažení y do "masky" 

maska0=zeros(velikost_y+28,velikost_y+28); %velikost masky, zvětšení z důvodu rotace

for i=1:velikost_y
     for j=1:velikost_y
         maska0(i+14,j+14)=y0(i,j); %vložení masky do maska0 -> kolem nuly 
     end
end

%zisk masek 0-165° pro tlusté cévy
for k=90:15:165
    maska{k+15}=imrotate(maska0,k,'bicubic','crop'); 
end
for k=90:-15:0
    maska{k+15}=imrotate(maska0,k,'bicubic','crop'); 
end
maska90=maska{15};
maska105=maska{30};
maska120=maska{45};
maska135=maska{60};
maska150=maska{75};
maska165=maska{90};
maska0=maska{105};
maska15=maska{120};
maska30=maska{135};
maska45=maska{150};
maska60=maska{165};
maska75=maska{180}; 

% figure
% subplot(261)
% imshow(maska0,[])
% % title('0°')
% subplot(262)
% imshow(maska15,[])
% % title('15°')
% subplot(263)
% imshow(maska30,[])
% % title('30°')
% subplot(264)
% imshow(maska45,[])
% % title('45°')
% subplot(265)
% imshow(maska60,[])
% % title('60°')
% subplot(266)
% imshow(maska75,[])
% % title('75°')
% subplot(267)
% imshow(maska90,[])
% % title('90')
% subplot(268)
% imshow(maska105,[])
% % title('105°')
% subplot(269)
% imshow(maska120,[])
% % title('120°')
% subplot(2,6,10)
% imshow(maska135,[])
% % title('135°')
% subplot(2,6,11)
% imshow(maska150,[])
% % title('150°')
% subplot(2,6,12)
% imshow(maska165,[])
% title('165°')
% sgtitle('masky filtru pro tlusté cévy') 

end


